"""Provide configurations for Airflow."""
from datetime import datetime, timedelta


def yesterday():
    """Return yesterday from now in datetime"""
    return datetime.now() - timedelta(days=1)


DEFAULT_ARGS = {
    "owner": "airflow",
    "depends_on_past": False,
    # 'start_date': (datetime.now() - timedelta(days=1)).date(),  # left here to show we intentionally disable
    "email": ["airflow@regscale.com"],
    "email_on_failure": False,
    "email_on_retry": False,
    "retries": 1,
    "retry_delay": timedelta(minutes=15),
    "execution_timeout": timedelta(hours=3),
    # 'queue': 'whatever queue we want to implement',  # left here for an example
    # 'pool': 'backfill',  # another example default arg
    # 'priority_weight': 10,  # give this a high priority weight
    # 'end_date': datetime(2038, 1, 1),  # left to show that end dates can be set
}
